Mobile Navigator MN 6.5.0 und NICHT 6.5.1

  • Hey!
    Bin auf der Suche nach MN 6.5.0, finde nur noch 6.5.1 - die läuft auf meinem Navi allerdings nicht, kommt immer ein Fehler, dass die Software nicht installiert werden konnte und der Mobile Navigator sieht total komisch aus. Habe allerdings meine Dateien der 6.5.0 nicht gespeichert und somit habe ich die nicht mehr und finde überall nur noch die 6.5.1 :(
    Kann mir jemand sagen, wie ich wieder auf die 6.5.0 umsteigen kann bzw warum die 6.5.1 bei mir nicht läuft oder wie man den Fehler beheben kann?
    Danke.